![]() |
API Documentation
|
where {orgId} is the ID of an organisation.
POST - transfers the ownership of all file objects and folders from one Covata user to another Covata user.This API endpoint transfers the ownership of all files/Secure Objects and folders/collections (in which these files are contained) from one Covata user to another Covata user, within the organisation specified by the {orgId} of the request's URL.
Notes:
- When using Organisation Administration to transfer item ownership from one Covata user to another, this process must be done as part of removing a user account from an organisation.
- However, when using the Covata API, transferring item ownership from a Covata user can be accomplished without having to remove this user from the organisation.
This API endpoint supports requests utilising Covata user accounts with the following roles (as described in the Organisation Administrator's Guide) and conditions:
{orgId} of the request's URL.The Covata Platform's resources available to Covata users meeting this criteria is determined by the access token submitted in the header of requests to this endpoint.
The appropriate access token as the Bearer token:
Authorisation: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...The following header is required if the body of the request has a JSON object:
Content-Type: application/jsonThe following required parameters must be sent in the body of the POST request, as individual members of a JSON object:
The following optional parameter can also be sent in the body of the POST request, as an individual member of the JSON object that includes the Required parameters above:
deleteUser - A boolean value that indicates whether (true) or not (false) the Covata user specified in the from field above, whose items are being transfered to another user, will be removed from the organisation.
Example (request):
If the request succeeded, then an HTTP response status 200 OK is returned.